# $Revision: 1.33 $, $Date: 2012/02/15 19:56:51 $
Summary:	Goggles Music Manager is a music collection manager and player
Summary(hu.UTF-8):	Goggles Music Manager egy zenegyűjtemény-kezelő és lejátszó
Name:		gogglesmm
Version:	0.12.6
Release:	1
License:	GPL v3
Group:		X11/Applications/Multimedia
Source0:	http://gogglesmm.googlecode.com/files/%{name}-%{version}.tar.xz
# Source0-md5:	dd1dd6735c6742cf92c72eb2efc60174
URL:		http://code.google.com/p/gogglesmm/
BuildRequires:	bash
BuildRequires:	curl-devel
BuildRequires:	dbus-devel
BuildRequires:	fox-devel >= 1.7.19-6
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	taglib-devel
BuildRequires:	taglib-extras-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xine-lib-devel
Requires:	xine-plugin-audio
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Goggles Music Manager is a music collection manager and player that
automatically categorizes your music files based on genre, artist,
album, and song. It supports gapless playback and features easy tag
editing.

%description -l hu.UTF-8
Goggles Music Manager egy zenegyűjtemény kezelő és lejátszó, amely
automatikusan kategorizálja a zenefájlaidat stítlus, előadó, album és
dal alapján. Szünetmentes lejátszást és könnyű tag-szerkesztést is
biztosít.

%prep
%setup -q
#for verbose build
sed 's/^\t@/\t/' -i Makefile

%build
CFLAGS="%{rpmcxxflags}" \
INCFLAGS="%{rpmcppflags} $(pkg-config --cflags-only-I fox17 taglib dbus-1)" \
CXX="%{__cxx}" \
LINK="%{__cxx}" \
LDFLAGS="%{rpmcxxflags} %{rpmldflags}" \
LIBPREFIX="%{_libdir}" \
PKG_PREFIX="%{_prefix}" \
./configure --with-fox17

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gogglesmm.spec,v $
Revision 1.33  2012/02/15 19:56:51  arekm
- up to 0.12.6

Revision 1.32  2012/02/15 09:07:23  arekm
- release 2

Revision 1.31  2011/12/08 20:26:39  uzsolt
- 0.12.5
- use fox17 in configure

Revision 1.30  2011/10/10 08:24:24  uzsolt
- 0.12.4
- add PKG_PREFIX and 'pkg-config fox17' to configure

Revision 1.29  2011/08/16 14:10:21  uzsolt
- 0.12.3

Revision 1.28  2011/06/09 20:45:37  uzsolt
- 0.12.2
- package more icons

Revision 1.27  2011/04/01 07:46:36  uzsolt
- remove libfetch suggest (libfetch replaced to curl)

Revision 1.26  2011/03/03 08:59:26  uzsolt
- 0.12.1

Revision 1.25  2011/03/02 09:48:57  uzsolt
- typo fix

Revision 1.24  2011/03/01 07:48:42  uzsolt
- 0.12.0

Revision 1.23  2011/02/09 08:51:50  uzsolt
- 0.11.6

Revision 1.22  2011/01/30 16:29:43  sparky
- BR: curl-devel, libgcrypt-devel

Revision 1.21  2010/11/10 22:12:00  uzsolt
- 0.11.5

Revision 1.20  2010/11/02 23:37:33  uzsolt
- 0.11.4

Revision 1.19  2010/10/05 22:28:44  uzsolt
- 0.11.3

Revision 1.18  2010/09/09 05:58:30  uzsolt
- 0.11.2

Revision 1.17  2010/08/31 07:34:01  uzsolt
- 0.11.1
- versioned fox-devel BR
- rel 1

Revision 1.16  2010/08/30 08:26:20  uzsolt
- begin to 0.11.0
- doesn't build, needs more work

Revision 1.15  2010/08/20 14:25:56  uzsolt
- 0.10.27
- man1

Revision 1.14  2010/07/15 04:19:05  uzsolt
- 0.10.26

Revision 1.13  2010/07/13 06:13:59  uzsolt
- 0.10.25

Revision 1.12  2010/07/08 07:32:28  uzsolt
- 0.10.24

Revision 1.11  2010/06/03 09:45:43  uzsolt
- 0.10.23
- remove shortname, now can use name macro

Revision 1.10  2010/06/02 12:30:44  sparky
- added tar BR

Revision 1.9  2010/05/12 05:13:17  uzsolt
- 0.10.22

Revision 1.8  2010/05/03 06:09:49  uzsolt
- 0.10.20
- verbose build

Revision 1.7  2010/04/17 12:30:21  uzsolt
- suggests libfetch (needs for e.g. internet radio which provides m3u file)
- rel 2

Revision 1.6  2010/03/04 20:30:02  uzsolt
- 0.10.19

Revision 1.5  2010/02/20 09:46:11  uzsolt
- rel 1 (works for me)

Revision 1.4  2010/02/09 22:46:05  uzsolt
- 0.10.18

Revision 1.3  2010/02/06 12:34:26  uzsolt
- expand Summary
- hungarizing

Revision 1.2  2010/02/06 12:19:57  sparky
- BR: bash, pkgconfig
- pass flags correctly
- explicite listing of _bindir files

Revision 1.1  2010/02/06 10:18:27  uzsolt
- initial
